List Authorizations
curl --request GET \
--url https://api.sandbox.wepayout.com.br/v2/automatic-pix/authorizations \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.sandbox.wepayout.com.br/v2/automatic-pix/authorizations"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.sandbox.wepayout.com.br/v2/automatic-pix/authorizations', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
[
{
"id": 1,
"merchant_id": 1,
"contract_id": "123",
"identifier": "identifier",
"frequency": "MONTHLY",
"contract_name": "Contract Name",
"type": "RECURRING",
"authorization_amount": 100.00,
"amount": 100.00,
"maximum_authorization_amount": 200.00,
"start_date": "2023-01-01",
"end_date": "2023-12-31",
"created_at": "2023-01-01T00:00:00Z",
"status": {
"id": 1,
"name": "ACTIVE"
},
"history": [
{
"id": 1,
"authorization_id": 1,
"status_id": 1,
"status_name": "ACTIVE",
"created_at": "2023-01-01T00:00:00Z"
}
],
"buyer": {
"id": 1,
"name": "Buyer Name",
"document": "12345678900"
}
}
]
Authorizations
List Authorizations
List all authorizations
GET
/
v2
/
automatic-pix
/
authorizations
List Authorizations
Response
array
List of authorizations
Show authorization object
Show authorization object
integer
Authorization ID
integer
Merchant ID
string
Contract ID
string
Identifier
string
Frequency
string
Contract Name
string
Type
number or null
Authorization Amount
number or null
Amount
number or null
Maximum Authorization Amount
string
Start Date
string or null
End Date
string
Creation Date
array or null
[
{
"id": 1,
"merchant_id": 1,
"contract_id": "123",
"identifier": "identifier",
"frequency": "MONTHLY",
"contract_name": "Contract Name",
"type": "RECURRING",
"authorization_amount": 100.00,
"amount": 100.00,
"maximum_authorization_amount": 200.00,
"start_date": "2023-01-01",
"end_date": "2023-12-31",
"created_at": "2023-01-01T00:00:00Z",
"status": {
"id": 1,
"name": "ACTIVE"
},
"history": [
{
"id": 1,
"authorization_id": 1,
"status_id": 1,
"status_name": "ACTIVE",
"created_at": "2023-01-01T00:00:00Z"
}
],
"buyer": {
"id": 1,
"name": "Buyer Name",
"document": "12345678900"
}
}
]
Was this page helpful?
⌘I

